Server start issue with 2082

Added by Mak Babu almost 12 years ago

After upgrading the codeline to version 2082, redmine server throws an error `assert_valid_keys': Unknown key(s): author_key (ArgumentError). The server was running properly with revision 2048 onwards. i guess some checkin between 2048 and 2082 has caused this error. find below the log trace while starting in mongrel. appreciate if any of you can let me know whether it is a known issue.

  • Loading any Rails specific GemPlugins
  • Signals ready. INT => stop (no restart).
  • Mongrel 1.1.5 available at 0.0.0.0:6000
  • Use CTRL-C to stop.
  • INT signal received.
  • Starting Mongrel listening at 0.0.0.0:6000
  • Starting Rails with production environment...

C:/wamp/bin/ruby/ruby1.8.6/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/core_ext/hash/keys.rb:47:in `assert_valid_keys': Unknown key(s): author_key (ArgumentError)

from C:/wamp/apps/redmine-0.8/vendor/plugins/acts_as_activity_provider/lib/acts_as_activity_provider.rb:32:in `acts_as_activity_provider'
from C:/wamp/apps/redmine-0.8/app/models/changeset.rb:38
from C:/wamp/bin/ruby/ruby1.8.6/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
from C:/wamp/bin/ruby/ruby1.8.6/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
from C:/wamp/bin/ruby/ruby1.8.6/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:510:in `require'
from C:/wamp/bin/ruby/ruby1.8.6/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:355:in `new_constants_in'
from C:/wamp/bin/ruby/ruby1.8.6/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:510:in `require'
from C:/wamp/bin/ruby/ruby1.8.6/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:102:in `require_or_load_without_engine_additions'
... 65 levels...
from C:/wamp/bin/ruby/ruby1.8.6/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/../lib/mongrel/command.rb:212:in `run'
from C:/wamp/bin/ruby/ruby1.8.6/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/mongrel_rails:281
from C:/wamp/bin/ruby/ruby1.8.6/bin/mongrel_rails:19:in `load'
from C:/wamp/bin/ruby/ruby1.8.6/bin/mongrel_rails:19

Replies (4)

RE: Server start issue with 2082 - Added by Rocco Stanzione over 11 years ago

Same issue here, I'll update if I find a fix

RE: Server start issue with 2082 - Added by Josh Leder over 11 years ago

I'm getting the same error message while updating from a previous svn version to the latest, migrating the db. I'm not sure why author_key wouldn't be a valid key, its clearly used in a few files... The command line I'm using is:
rake db:migrate RAILS_ENV="production"

I'm on Linux, running via Apache. My --trace output looks a lot like the OP's, but with most files looking a lot more Linuxy (the trace starts at /usr/local/bin/rake:19:in `load'). Same version numbers for activesupport as OP.

I haven't reloaded the application as I'm afraid I'll break it once I try to use the new version. I suppose I can just checkout an old revision for now.

RE: Server start issue with 2082 - Added by Rocco Stanzione over 11 years ago

Apparently when I svn upped it missed everything in vendor/plugins. I cd to vendor/plugins, svn up, and I get a fix for this and some other updates.

RE: Server start issue with 2082 - Added by Josh Leder over 11 years ago

Absolutely wonderful! Thanks man, your fix worked :)

(1-4/4)